Bind Quote
curl --request POST \
--url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/quotes/{quoteId}/bind \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/v1/external/companies/{companyId}/quotes/{quoteId}/bind"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/v1/external/companies/{companyId}/quotes/{quoteId}/bind', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policyId": "550e8400-e29b-41d4-a716-446655440099",
"policyNumber": "POL-2025-001",
"bindErrors": []
}Basic Policies
Bind Quote
Binds a Field Model V1 quote, creating a Basic Policy. The quote must not already be bound.
On success, returns the newly created policy ID, policy number, and any bind errors encountered during the process. Bind errors are non-fatal warnings — the policy is still created.
Required permission: company.quote:create
POST
/
api
/
v1
/
external
/
companies
/
{companyId}
/
quotes
/
{quoteId}
/
bind
Bind Quote
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Quote identifier
Was this page helpful?
